%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( ( p3(X1,X2)
        & p3(X2,X3) )
     => p3(X1,X3) )   )).

input_formula(formula_32,hypothesis,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p4(X1,X4)
        & p4(X1,X5)
        & p6(X1,X4,X5)
        & p8(X1,X2,X4)
        & p8(X1,X3,X5)
        & p3(X5,X4) )
     => p3(X3,X2) )   )).

input_formula(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X1,X2,X3)
     => p3(X3,X2) )   )).

input_formula(formula_36,conjecture,(
    ! [X3,X4,X9,X1,X2,X7,X8,X5,X6,X10,X11,X12] : 
      ( ( p4(X3,X10)
        & p4(X4,X10)
        & p4(X3,X12)
        & p4(X4,X12)
        & p1(X3,X1,X10)
        & p1(X4,X1,X10)
        & p8(X3,X2,X10)
        & p8(X4,X2,X10)
        & p5(X3,X10,X11)
        & p5(X4,X10,X12)
        & p7(X3,X9,X10)
        & p7(X4,X9,X10)
        & p6(X3,X11,X12)
        & p8(X3,X7,X12)
        & p8(X4,X8,X12)
        & p2(X3,X5,X10)
        & p2(X4,X6,X10)
        & p3(X6,X5) )
     => p3(X7,X8) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1,X2)
        & equal(X1,X2) )   )).

input_formula(formula_33,hypothesis,(
    ! [X1,X2,X3,X4,X5,X6,X7] : 
      ( ( p4(X1,X4)
        & p4(X1,X5)
        & p5(X1,X6,X7)
        & p8(X1,X2,X4)
        & p8(X1,X3,X5)
        & ~ p3(X6,X4)
        & p3(X5,X4)
        & ~ p3(X5,X7) )
     => p3(X2,X3) )   )).

input_formula(formula_30,axiom,(
    ! [X2,X1,X3,X4] : 
      ( ( p4(X2,X3)
        & p4(X2,X4)
        & p3(X1,X3)
        & p3(X4,X1) )
     => p4(X2,X1) )   )).

input_formula(formula_34,hypothesis,(
    ! [X2,X3,X6,X1,X4,X5,X7,X8,X9] : 
      ( ( p4(X2,X7)
        & p4(X3,X7)
        & p4(X3,X9)
        & p1(X2,X1,X7)
        & p1(X3,X1,X7)
        & p5(X2,X7,X8)
        & p5(X3,X7,X9)
        & p7(X2,X6,X7)
        & p7(X3,X6,X7)
        & p2(X2,X4,X7)
        & p2(X3,X5,X7)
        & p3(X5,X4) )
     => p3(X9,X8) )   )).

input_formula(formula_35,hypothesis,(
    ! [X3,X4,X9,X1,X2,X7,X8,X5,X6,X10,X11,X12] : 
      ( ( p4(X3,X10)
        & p4(X4,X10)
        & p4(X3,X11)
        & p4(X4,X11)
        & p1(X3,X1,X10)
        & p1(X4,X1,X10)
        & p8(X3,X2,X10)
        & p8(X4,X2,X10)
        & p5(X3,X10,X11)
        & p5(X4,X10,X12)
        & p7(X3,X9,X10)
        & p7(X4,X9,X10)
        & p8(X3,X7,X11)
        & p8(X4,X8,X11)
        & p2(X3,X5,X10)
        & p2(X4,X6,X10)
        & p3(X6,X5) )
     => ( p3(X7,X8)
        | equal(X7,X8) ) )   )).

input_formula(formula_29,axiom,(
    ! [X3,X2] : 
      ( p4(X3,X2)
     => ? [X1] : p8(X3,X1,X2) )   )).

input_formula(formula_27,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1,X2)
        & p3(X2,X1) )   )).
%--------------------------------------------------------------------------
